For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Retrieve scanner report summaries and detailed page-level report output.

List reports

get

Return scanner report summaries generated from completed scanner runs. Reports can be filtered by brand or searched by name.

Authorizations
AuthorizationstringRequired

Supply the Protege external API key in the Authorization header using the format Bearer <api_key>.

Query parameters
brandIdstring · uuidOptional

Filter reports for a specific brand.

searchstringOptional

Case-insensitive search against report names.

limitinteger · min: 1Optional

Maximum number of records to return per page.

Default: 25
offsetintegerOptional

Number of records to skip before starting the page.

Default: 0
sortBystring · enumOptional

Field used to sort the result set.

Possible values:
sortOrderstring · enumOptional

Sort direction for the selected sort field.

Possible values:
Responses
200

Report summaries returned

application/json

Paginated collection of scanner reports.

get/api/v1/reports

Get a report with scanned pages

get

Retrieve a report and the scanned pages or captured documents that make up the report payload.

Authorizations
AuthorizationstringRequired

Supply the Protege external API key in the Authorization header using the format Bearer <api_key>.

Path parameters
reportIdstring · uuidRequired
Responses
200

Report detail returned

application/json

Top-level report metadata returned with detailed report responses.

idstring · uuidRequired
namestringRequired
createdAtstring · date-timeRequired
documentCountintegerRequired
get/api/v1/reports/{reportId}

Last updated

Was this helpful?